% Parametros do calculo
t0 = 0;             % Tempo inicial
tf = 0.49;            % Tempo final
h = 0.05;           % Passo de tempo;

% Condicoes iniciais
x0 = 1;             % Valor inicial

% Definindo equacao diferencial
F = @(t,z) Exemplo(t,z);
F1 = @(t,z) Exemplo_F1(t,z);
F2 = @(t,z) Exemplo_F2(t,z);
    
% Solucao exata
t = [t0:h:tf];
z0=(1-2*t).^(-1/2);
    
%% Representacao grafica dos resultados
figure;
plot(z0)
hold on

% Resolvendo pelo metodo de Euler
z = Euler(t0,tf,h,x0,F);

% Representacao grafica dos resultados
plot(z)
hold on

% calculo do erro
erro = abs(z'-z0);
erro_max = max(erro) 
    
% Resolvendo pelo metodo de Taylor de ordem 2
z = Taylor2(t0,tf,h,x0,F,F1);

% Representacao grafica dos resultados
plot(z)
hold on

% calculo do erro
erro = abs(z'-z0);
erro_max = max(erro) 
    
% Resolvendo pelo metodo de Taylor de ordem 3
z = Taylor3(t0,tf,h,x0,F,F1,F2);

% Representacao grafica dos resultados
plot(z)

% calculo do erro
erro = abs(z'-z0);
erro_max = max(erro) 


